'use client';

import { create } from 'zustand';
import { devtools } from 'zustand/middleware';
import { createProjectFlockSlice } from '@/stores/production/project-flock/slices/project-flock.slice';
import { ProjectFlockSlice } from '@/types/stores';

export type ProjectFlockStore = ProjectFlockSlice;

export const useProjectFlockStore = create<ProjectFlockStore>()(
  devtools(
    (...args) => ({
      ...createProjectFlockSlice(...args),
    }),
    {
      name: 'ProjectFlockStore',
    }
  )
);
